Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.metadata.profile
Class PropertyMetaData

    java.lang.Object
      org.jboss.portal.identity.metadata.profile.PropertyMetaData

    public class PropertyMetaData

extends java.lang.Object

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`PropertyMetaData()`

Method Summary
`java.lang.String` | `getAccessMode()`
`LocalizedStringMetaData` | `getDescription()`
`LocalizedStringMetaData` | `getDisplayName()`
`PropertyMappingMetaData` | `getMapping()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUsage()`
`void` | `setAccessMode(java.lang.String accessMode)`
`void` | `setDescription(LocalizedStringMetaData description)`
`void` | `setDisplayName(LocalizedStringMetaData displayName)`
`void` | `setMapping(PropertyMappingMetaData mapping)`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`void` | `setUsage(java.lang.String usage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyMetaData

    public PropertyMetaData()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getAccessMode

    public java.lang.String getAccessMode()

### setAccessMode

    public void setAccessMode(java.lang.String accessMode)

### getUsage

    public java.lang.String getUsage()

### setUsage

    public void setUsage(java.lang.String usage)

### getDisplayName

    public LocalizedStringMetaData getDisplayName()

### setDisplayName

    public void setDisplayName(LocalizedStringMetaData displayName)

### getDescription

    public LocalizedStringMetaData getDescription()

### setDescription

    public void setDescription(LocalizedStringMetaData description)

### getMapping

    public PropertyMappingMetaData getMapping()

### setMapping

    public void setMapping(PropertyMappingMetaData mapping)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD